package com.ruoyi.project.task.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检测计划对象 t_task_inspection_plan
 *
 * @author ruoyi
 * @date 2022-11-17
 */
@TableName("t_task_inspection_plan")
public class TTaskInspectionPlan extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识id
     */
    private Long id;

    /**
     * 装置id
     */
    private Long plantId;

    @Excel(name = "装置id")
    @TableField(exist = false)
    private String plantName;

    /**
     * 检测计划编号
     */
    @Excel(name = "检测计划编号")
    private String inspectionPlanNo;

    /**
     * 检测计划名称
     */
    @Excel(name = "检测计划名称")
    private String inspectionPlanName;

    /**
     * 检测频次
     */
    @Excel(name = "检测频次")
    private String detectionFrequency;

    /**
     * 检测起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检测起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 检测截止时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检测截止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /**
     * 检测点数
     */
    @Excel(name = "检测点数")
    private String pointNum;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 部门编号
     */
    @Excel(name = "部门编号")
    private Long deptId;

    /**
     * 状态 1 ：正常 ；0：删除
     */
    private Integer delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    @TableField(exist = false)
    private String creater;

    private Long createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    private Long updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 季度
     */
    private String planQuarter;

    /**
     * 年份
     */
    private String planYear;

    /**
     * 编码
     */
    private Integer planCode;

    @TableField(exist = false)
    private Long[] pointIds;

    @TableField(exist = false)
    private String plantType;

    /**
     * 是否已生成检测任务
     */
    @TableField(exist = false)
    private String haveSub;

    public String getHaveSub() {
        return haveSub;
    }

    public void setHaveSub(String haveSub) {
        this.haveSub = haveSub;
    }

    public String getPlantType() {
        return plantType;
    }

    public void setPlantType(String plantType) {
        this.plantType = plantType;
    }

    public Long[] getPointIds() {
        return pointIds;
    }

    public void setPointIds(Long[] pointIds) {
        this.pointIds = pointIds;
    }

    public String getPlanQuarter() {
        return planQuarter;
    }

    public void setPlanQuarter(String planQuarter) {
        this.planQuarter = planQuarter;
    }

    public String getPlanYear() {
        return planYear;
    }

    public void setPlanYear(String planYear) {
        this.planYear = planYear;
    }

    public Integer getPlanCode() {
        return planCode;
    }

    public void setPlanCode(Integer planCode) {
        this.planCode = planCode;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getPlantName() {
        return plantName;
    }

    public void setPlantName(String plantName) {
        this.plantName = plantName;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPlantId(Long plantId) {
        this.plantId = plantId;
    }

    public Long getPlantId() {
        return plantId;
    }

    public void setInspectionPlanNo(String inspectionPlanNo) {
        this.inspectionPlanNo = inspectionPlanNo;
    }

    public String getInspectionPlanNo() {
        return inspectionPlanNo;
    }

    public void setInspectionPlanName(String inspectionPlanName) {
        this.inspectionPlanName = inspectionPlanName;
    }

    public String getInspectionPlanName() {
        return inspectionPlanName;
    }

    public void setDetectionFrequency(String detectionFrequency) {
        this.detectionFrequency = detectionFrequency;
    }

    public String getDetectionFrequency() {
        return detectionFrequency;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setPointNum(String pointNum) {
        this.pointNum = pointNum;
    }

    public String getPointNum() {
        return pointNum;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(Long createrCode) {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(Long updaterCode) {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("plantId", getPlantId())
                .append("inspectionPlanNo", getInspectionPlanNo())
                .append("inspectionPlanName", getInspectionPlanName())
                .append("detectionFrequency", getDetectionFrequency())
                .append("startTime", getStartTime())
                .append("endTime", getEndTime())
                .append("pointNum", getPointNum())
                .append("remarks", getRemarks())
                .append("deptId", getDeptId())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .toString();
    }
}
